## git-buildpackage 0.9.2

=== debian/changelog ===
git-buildpackage (0.9.2) unstable; urgency=medium

  [ Guido Günther ]
  * [5b05ead] push: Don't abort on first failure.  Push as many refs as
    possible instead of aborting on the first error.
  * Unbreak running in non-UTF8 locales
    Thanks to Nico Schlömer for the report (Closes: #880964)
  * [5b1614d] travis: run tests under C locale too
  * [79d4340] setup.py: add python_requires so pip doesn't use the gbp module
    for python2
    Thanks to Nico Schlömer for the proposed solution
  * [d656cbd] import-dsc: Fuzzy parse changelog date.
    Especially older changelogs aren't 100% policy conformant (e.g. using a
    localized day of week like).  This allows us to better import older
    histories. (Closes: #880878)
  * [577ca32] import-orig: Run postimport hook on all successful imports.
    So far we would skip it on initial imports which is pointless.
  * [7d6f61a] import-orig: don't fail when importing unpacked dirs.
  * [34b2390] import-orig: avoid master branch when importing into empty repo.
    We don't want a master branch if debian-branch != 'master'.
  * [c135ad4] Make import-orig-rpm tests work with import-orig.
    We use the Debian version to import RPMs since there's currently no
    separate import-orig-rpm needed.  The tests also cover cases we were
    currently not testing in components/deb/test_import_orig.py.
  * [fe0022b] import-dsc: cleanup temp dirs on unexpected exceptions too
  * [486cbfd] examples: drop gbp-posttag-push.  We have "gbp push" now.
  * [3efd339] examples: Add gbp-try-ff.  Helper to fetch new upstream source,
    refresh patches and do a test build.
  * [1b5a344] buildpackage: Add back --git-pristine-tar-commit support.
    The call got lost when we split out export-orig. (Closes: #880624)
  * [4378eae] command_wrapper: quote error strings so we don't accidentally
    try to expand values in error messages. (Closes: #881254)
  * [e5df7d0] buildpackage: unpack additional tarballs as well in
    --git-overlay mode. (Closes: #881253)
  * [75273ee,53c0e7c] buildpackage: Expand --git-comp-type auto again in
    --git-overlay mode.
    Thanks to Maximiliano Curia for the detailed analysis (Closes: #879781)
  * [d9fb2df] import-dsc: Apply filters on debian tarballs too
    (Closes: #881311)
  * Several testsuite and documentation improvements

  [ Felipe Sateler ]
  * [7f85a0d] zsh: Fix delegation of dscs options to dsc
  * [9d276b5] zsh: dch does not use git prefix for ignore-branch option
    (Closes: #787005)

  [ Ken Dreyer ]
  * [3d084fd] DebianChangelog: Strip trailing newlines from changes.
    Python3's message_from_string passes on a trailing newline from
    dpkg-parsechangelog but the consumer of the output shouldn't need to
    bother.

  [ Markus Lehtonen ]
  * [34c22d4] tests: add tests for gbp import-orig-rpm.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 10 Nov 2017 08:08:25 +0100

## git-buildpackage 0.9.3

=== debian/changelog ===
git-buildpackage (0.9.3) unstable; urgency=medium

  * [9a2c5e6] import_orig: drop debian/ again in --merge-mode=replace.
    Another fallout of the Python3 conversion.
    Thanks to Víctor Cuadrado Juan for providing a nice reproducer
    (Closes: #881750)
  * [876ebb3] git-pbuilder: handle --help (Closes: #734862)
  * [ff03bec] GitRepository: require an exact ref path when looking for
    branches. Otherwise we might match on
       refs/heads/refs/heads/foo instead of refs/heads/foo
    when looking for  branch named 'foo' (Closes: #813298)
  * [3b5a7dd] changelog: handle comma in maintainers name.
    Thanks to Andreas Beckmann for the proposed fix (Closes: #737623)
  * [e74b40a] rpm: conditionally check for librpm flags.  Not all of them are
    in newer librpm and this way we can add new ones as needed as well.
    This unbreaks the tests with new python3-rpm in sid.
  * [c429d97] dch: make --auto the default.  The current default mode of
    looking at the version in the changelog only leads to problems when people
    build up the changelog incrementally.  --auto handles this since many
    years so make this the default. There's still --since for finer control
    where to start from. (Closes: #880552, #552624)
  * [43d5587] docs: better explain dch operation (also addresses #880552)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 15 Nov 2017 15:33:20 +0100

=== debian/control ===
Source: git-buildpackage
Section: vcs
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 bash-completion (>= 1:2.1-4.2~),
 debhelper (>= 9~),
 dh-python,
 docbook2x,
 flake8,
 gtk-doc-tools,
 libdistro-info-perl,
 perl,
 python-pydoctor,
 python3 (>= 3.5),
 python3-coverage,
 python3-dateutil,
 python3-mock,
 python3-nose,
 python3-nosexcover,
 python3-pkg-resources,
 python3-rpm,
 python3-setuptools,
 xsltproc,
# For the testsuite
 bzip2 <!nocheck>,
 cpio <!nocheck>,
 devscripts (>= 2.17.7~) <!nocheck>,
 git (>= 1:1.7.9.1-1~) <!nocheck>,
 pristine-tar <!nocheck>,
 rpm <!nocheck>,
 unzip <!nocheck>,
 zipmerge <!nocheck>,
# For the network tests
 curl <!nocheck>,
 python3-requests <!nocheck>,
Standards-Version: 4.0.0
Vcs-Git: https://git.sigxcpu.org/cgit/git-buildpackage/
Vcs-Browser: https://git.sigxcpu.org/cgit/git-buildpackage/
Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
X-Python3-Version: >= 3.5

Package: git-buildpackage
Architecture: all
Depends: ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 devscripts (>= 2.13.5~),
 git (>= 1:1.7.9.1-1~),
 man-db,
 python3-dateutil,
 python3-pkg-resources,
Recommends: pristine-tar (>= 0.5),
 cowbuilder | pbuilder | sbuild,
 python3-requests
Suggests: python3-notify2, unzip, sudo
Description: Suite to help with Debian packages in Git repositories
 This package contains the following tools:
  * gbp buildpackage: build a package out of a git repository, check for local
    modifications and tag appropriately
  * gbp import-orig: import a new upstream version into the git repository
  * gbp export-orig: export an upstream tarball from the git repository
  * gbp import-{dsc,dscs}: import existing Debian source packages into a git
    repository
  * gbp dch: generate Debian changelog entries from Git commit messages
  * gbp {pull,clone}: clone and pull from remote repos
  * gbp pq: manage debian/patches easily
  * gbp create-remote-repo: create remote repositories
  * gbp push: push content to remote repositories
  * gbp tag: tag a Debian package in git
  * gbp pristine-tar: create pristine-tar commits

Package: git-buildpackage-rpm
Architecture: all
Depends: ${python3:Depends},
 ${misc:Depends},
 cpio,
 git-buildpackage (= ${binary:Version}),
 python3-rpm,
 rpm,
Recommends: pristine-tar (>= 0.5)
Suggests: python3-notify, unzip, zipmerge, mock
Description: Suite to help with RPM packages in Git repositories
 This package contains the following tools:
  * gbp buildpackage-rpm: build a package out of a git repository, check for
    local modifications and tag appropriately
  * gbp import-srpm: import existing RPM source packages into a git
    repository
  * gbp pq-rpm: manage patches easily
 .
 These tools are currently in an experimental state. Branch names and
 repository layouts might change without lots of prior warning.

## git-buildpackage 0.9.4

=== docs/Makefile ===
#!/usr/bin/make

MAN1S = \
        gbp               \
        gbp-buildpackage  \
        gbp-clone         \
        gbp-config        \
        gbp-create-remote-repo \
        gbp-dch           \
        gbp-export-orig   \
        gbp-import-dsc    \
        gbp-import-dscs   \
        gbp-import-orig   \
        gbp-pq            \
        gbp-pristine-tar  \
        gbp-pull          \
        gbp-push          \
        gbp-tag           \
        gbp-buildpackage-rpm \
        gbp-import-srpm   \
        gbp-pq-rpm        \
        gbp-rpm-ch        \
        $(NULL)

MAN5S = \
	gbp.conf \
	$(NULL)

MANUAL=manual-html
XML_MANPAGES=$(patsubst %,%.1,$(MAN1S)) $(patsubst %,%.5,$(MAN5S))
POD_MANPAGES=git-pbuilder.1
MANPAGES=$(XML_MANPAGES) $(POD_MANPAGES)
VERSION_ENT=version.ent
GBP_VERSION=../gbp/version.py
DEB_VERSION=$(shell sed -ne 's/^gbp_version\s\+=\s\+"\([.a-z0-9~-]\+\)"/\1/p' $(GBP_VERSION))
CHANGELOG=../debian/changelog
MAN_DATE=$(shell dpkg-parsechangelog -l ../debian/changelog -SDate | TZ=UTC LC_ALL=C date -f- +'%d %B %Y')
IMAGES=$(wildcard images/*png)
DEST_IMAGES=$(subst images/,$(MANUAL)/images/,$(IMAGES))

all: manual $(MANPAGES)

manual: $(MANUAL)/index.html $(DEST_IMAGES) css

$(MANUAL)/index.html: manual.xml chapters/*.xml manpages/*.xml common.ent $(VERSION_ENT)
	mkdir -p $(MANUAL)
	xsltproc -o $(MANUAL)/ /usr/share/gtk-doc/data/gtk-doc.xsl $<
	cp /usr/share/gtk-doc/data/*.png \
	   /usr/share/gtk-doc/data/*.css \
	   $(MANUAL)

$(MANUAL)/gbp.pdf: manual.xml chapters/*.xml manpages/*.xml common.ent $(VERSION_ENT)
	xsltproc -o $(MANUAL)/ /usr/share/gtk-doc/data/gtk-doc.xsl $<

css: $(MANUAL)/gbp.css $(MANUAL)/gbp.svg
$(MANUAL)/gbp.css $(MANUAL)/gbp.svg: gbp.css gbp.svg
	cp gbp.css gbp.svg $(MANUAL)/

html_images: $(DEST_IMAGES)
$(MANUAL)/images/%.png: images/%.png
	mkdir -p $(basename $@)
	install $< $@

%.1 %.5: man.gbp.xml manpages/%.xml
	docbook2x-man -o . $<

git-pbuilder.1: ../bin/git-pbuilder
	pod2man $< $@

manual.xml: $(VERSION_ENT)

$(GBP_VERSION): ../debian/changelog
	cd .. && python setup.py build --help >/dev/null

$(VERSION_ENT): $(GBP_VERSION)
	echo '<!ENTITY gbp-version "$(DEB_VERSION)">' > $(VERSION_ENT)

clean:
	-rm -r $(MANUAL)
	-rm *.1 *.5 $(VERSION_ENT)

=== debian/changelog ===
git-buildpackage (0.9.4) unstable; urgency=medium

  * [868e8ae] Bump standards version
  * [5c078f7] docs: Add --git-overlay to synopsis
  * [015f1a7] import-orig: use separate exit code when uscan did not find
    anything new
  * [45a0652] dch: Create changelog if missing.
    Thanks to Daniel Dehennin for the groundwork on this (Closes: #669171)
  * [c90cb78] git-pbuilder: properly escape -? (Closes: #882984)
  * gbp-try-ff improvements

 -- Guido Günther <agx@sigxcpu.org>  Tue, 28 Nov 2017 12:32:01 +0100

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
 # For the network tests
  curl <!nocheck>,
  python3-requests <!nocheck>,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Git: https://git.sigxcpu.org/cgit/git-buildpackage/
 Vcs-Browser: https://git.sigxcpu.org/cgit/git-buildpackage/
 Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/

## git-buildpackage 0.9.5

=== debian/changelog ===
git-buildpackage (0.9.5) unstable; urgency=medium

  [ Guido Günther ]
  * [6b43cfe] docs: gbp.conf: bring back section names.
    These got lost in f6e360f6ca0b4e3b510f82546a1daada592b18b6.
  * [d7739b8] docs: gbp: mention push and tag
  * [3cbdc3a] docs: gbp-buildpackage: clarify --git-no-create-orig
  * [7bb8758] docs: gbp-buildpackage: list hooks in execution order
  * [59f82d8] docs: gbp-buildpackage: clarify hook working directories
  * [22d40a4] hooks: print hook name prior to execution.
    This makes it simpler to identify build steps
  * [56d630b] pristine-tar: print upstream version number on import.
    Printing the debian version might be confusing
  * [06bbc70] Fix complaints of flake8 3.5
  * [e51358f] docs: drop duplicate "you can"
    Thanks to Ludovic Rousseau
  * [5aaec4f] Typo fixes.
    Thanks to Ludovic Rousseau
  * [4312e54] docs: Add ids to all sections
    so we get nicer link names
  * [13cd3b4] Handle KeyboardInterrupt in pristine_tar, push, rpm_ch and tag
    to avoid python exceptions on the console. The other commands handle it
    already.

  [ Markus Lehtonen ]
  * [f50069a] rpm packaging: update dependency on rpm-build.
    Most RPM-based distribution now support weak dependencies. Make rpm-build
    a weak dependency as it's not strictly needed by buildpackage-rpm: in
    Fedora people probably use 'mock' and in openSUSE they use 'osc' for
    building packages, for example.
  * [3661127] create_remote_repo: fix typo
  * [d9a5319] rpm.SpecFile: support %autosetup.
    Try to do "the right thing" when %autosetup macro is used in the spec
    file. That is, do not examine/manage %patch macros at all, but, assume
    that patches are handled by %autosetup which was introduced in RPM
    v4.11.

  [ Maximiliano Curia ]
  * [17a471d] pq: Parse DEP3 headers.
    (Closes: #785274)

  [ Chris West (Faux) ]
  * [3003d07] docs: pq: Document how DEP3 headers are parsed and added to the
    commit message.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 29 Dec 2017 20:17:01 +0100

## git-buildpackage 0.9.6

=== debian/changelog ===
git-buildpackage (0.9.6) unstable; urgency=medium

  * [89495f7] patch_series: Properly chain up to parent class.
    Insted of duplicating the logic use the parent classes _read_info.
  * [28838b9] patch_series: don't read dep3 info multiple times
  * [7b0660a] patch_series: Remove duplicate functions.
    No need to repeat them in Dep3Patch since the parent class Patch already
    has them.
  * [0730a57] patch_series: Don't fail on decoding errors when looking for
    DEP3 headers
    (Closes: #885929)
  * [6979250] export-orig: fix --upstream-branch argument name in manpage

 -- Guido Günther <agx@sigxcpu.org>  Sat, 06 Jan 2018 20:43:18 +0100

## git-buildpackage 0.9.7

=== debian/changelog ===
git-buildpackage (0.9.7) unstable; urgency=medium

  [ Guido Günther ]
  * [d686024] deb.source: Fix class names in doc string.
    Thanks to Nish Aravamudan
  * [e36592d] gbp.conf: clarify environment variables.
    Thanks to Nish Aravamudan
  * [74ca1fa] Enable Python3.4 in travis
  * [c782a29] Fix typo in env var names.
    Thanks to Nish Aravamudan for pointing this out
  * [17914a9] docs: Although imported trees are important we mean the former.
    Fix typo. Thanks to Ferenc Wágner (Closes: #887499)
  * [e1aacbb] push: allow to push from detached heads
  * [6903232] buildpackage: look at builder as well when determining the
    changes file name
    (Closes: #887779)
  * [da84b60] config: strip '.py' suffix from commands.
    This makes sure we parse config sections correctly even when running from
    the source tree like: PYTHONPATH=. python3 "gbp/scripts/dch.py"
  * [362f793] docs: document pq export --commit
  * [3576ee8] tests: build docs too.
    When running in travis build the docs too to catch errors there as well.
  * [a708096] docs: fix section names for defaults.
    Thanks to Christoph Berg (Closes: #888415)

  [ rubicks ]
  * [f1694df] Rework docker script to allow to build packages as well.

  [ Markus Lehtonen ]
  * [4868442] gbp.git: Python 3.4 compatibility
  * [c8dbfe1] pq-rpm: implement --drop option.
    Counterpart for the --drop option of gbp-pq.
  * [5e9ab95] docs: dynamically select the DocBook-to-man tool to use to ease
    building on other distros.
  * [3011490] dch: implement postedit hooks.
    Add new --postedit command line option for defining a custom hook that
    will be run after changes to the changelog file has been finalized.
  * [5a8bbe9] debian/gbp.conf: dch hook to automatically update version in
    spec file.
  * [c3e1beb] rpm packaging: update build deps of docs.  Needed after docs
    were changed to xml.
  * [fb9cf84] import-srpm: change commit message of native sources.  Include
    the full package version in the commit message for native packages.
  * [cb5754b] tests: add more tagging tests for import-srpm
  * [972db70] import-srpm: implement --skip-packaging-tag option.
    Corresponding the --skip-debian-tag options of import-dsc.
  * [8515181] import-srpm: support --upstream-vcs-tag cmdline option.
    Similar to what the option does in gbp import-orig.
  * [d8ed8bd] gbp-pull: implement --all cmdline option.
    This updates all remote-tracking branches (for the remote that is fetched
    from) whose local branch name is identical to the remote branch name.
  * [393edba] buildpackage-rpm: support setting the 'VCS:' tag in spec.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Jan 2018 10:46:01 +0100

## git-buildpackage 0.9.8

=== Makefile ===
all:
	@echo "Ready (2.0)!"

=== debian/changelog ===
git-buildpackage (0.9.8) unstable; urgency=medium

  [ Guido Günther ]
  * [c5b5d4f] Bump standards version
  * [5f2120b] gbplogtaster: capture INFO and DEBUG log levels too.
    This allows one to test for certain features more easily and to use it not
    only in the error case.
  * [e9942bd] docs: add export-orig to list of available commands
  * [23874c2] 8bit Guido
  * [5301692] Move rollback code out of import_orig so it can be reused in
    'gbp import-ref'
  * [99b3811] RollbackDebianGitRepository: quote refs for readability
  * [29eafbc] Makefile: Run tests verbosely by default so we see which test
    fails / is skipped right away

  [ Markus Lehtonen ]
  * [f1b878c,042f422] tests: enable unittests without devscripts.
    Add some additional skipIf statements, checking for the existence of the
    debchange tool. Makes it possible to run unit tests in an environment that
    doesn't have devscripts installed.

  [ Simon McVittie ]
  * [c159d0b] pq export: Write out patches as UTF-8 if necessary.
    Due to behaviour changes in Python, 'gbp pq export' would previously
    write the commit message in the base64 Content-Transfer-Encoding, which
    is not very readable. Now it uses 8bit.
    Based on a patch from Carlos Maddela. (Closes: #883541)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 03 Apr 2018 13:06:47 +0200

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
 # For the network tests
  curl <!nocheck>,
  python3-requests <!nocheck>,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Git: https://git.sigxcpu.org/cgit/git-buildpackage/
 Vcs-Browser: https://git.sigxcpu.org/cgit/git-buildpackage/
 Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/

=== rules ===
#!/usr/bin/make -f
# See debian/rules-dh if you prefer the new dh syntax.
package = hello-debhelper

clean:
	rm -f build
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_clean
	dh_auto_install

build:
	dh_auto_configure
	dh_auto_build
	touch build

binary-indep: install
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: install
	dh_installdocs -a NEWS
	dh_installchangelogs -a ChangeLog
	dh_installinfo -a doc/*.info
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

build-arch: build

build-indep: build

.PHONY: binary binary-arch binary-indep build-arch build-indep clean

## git-buildpackage 0.9.9

=== docs/Makefile ===
--- 
+++ 
@@ -38,6 +38,13 @@
 IMAGES=$(wildcard images/*png)
 DEST_IMAGES=$(subst images/,$(MANUAL)/images/,$(IMAGES))
 
+# Select docbook-to-man tool
+ifeq ($(shell which docbook2x-man), )
+	DOCBOOK_TO_MAN=docbook-to-man
+else
+	DOCBOOK_TO_MAN=docbook2x-man
+endif
+
 all: manual $(MANPAGES)
 
 manual: $(MANUAL)/index.html $(DEST_IMAGES) css
@@ -62,7 +69,7 @@
 	install $< $@
 
 %.1 %.5: man.gbp.xml manpages/%.xml
-	docbook2x-man -o . $<
+	$(DOCBOOK_TO_MAN) -o . $<
 
 git-pbuilder.1: ../bin/git-pbuilder
 	pod2man $< $@

=== debian/changelog ===
git-buildpackage (0.9.9) unstable; urgency=medium

  [ Guido Günther ]
  * [0a6e73f] Fix typos spotted by lintian
  * [e730865] docs: options in [DEFAULT] apply to all gbp commands
  * [3da92ba] import-orig: Better error message when vcs-tag is not found
    (Closes: #896654)
  * [a6ceb00] config: when printing a single value only print the value.  This
    is more in line with what `git config` does and eases usage in scripts.
  * [a1f4af5] docs: document how to use GBP_CONF_FILES to override
    debian/gbp.conf
    (Closes: #898613)

  [ Ken Dreyer ]
  * [ba32efc] bin: drop umlaut again for setuptools.
    Setuptools cannot handle non-ascii characters in files declared in
    "scripts". See https://github.com/pypa/setuptools/issues/761

 -- Guido Günther <agx@sigxcpu.org>  Mon, 21 May 2018 13:27:17 +0200

## git-buildpackage 0.9.10

=== debian/changelog ===
git-buildpackage (0.9.10) unstable; urgency=medium

  [ Ken Dreyer ]
  * [f0b1bbe] deb.git: fix duplicate "tarball" in docstring.
    Fix the docstring for create_pristine_tar_commits()
  * [29b9f2c] deb.git: fix spelling of "described" in docstring.
    Fix the docstring for _sanitize_version() and _unsanitize_version()

  [ Guido Günther ]
  * [62e0102] push: Allow to skip upstream and debian branch and tag push.
    Push of tag and or branch can be skipped by setting
    --{upstream,debian}-{branch,tag}='' . (Closes: #899234)
  * [28a950a] tests: Check help output of tag and push too
  * [a287bf6] config: allow to override default values via
    add_config_file_option
  * [b8221b8] pull: Check that repo is clean before fetching anything
  * [6dda2da] pull: allow to set up branch tracking for missing branches.
    If the remote branch does not exist at all that's currently not fatal.
    (Closes: #882187)
  * [d69006d] Depend on sensible-utils. gbp-dch uses sensible-editor.

  [ Chris Lamb ]
  * [6c30ac9] import-{dsc,orig}: Make --download deprecation text more useful.
    Point to the manpages for usage examples. (Closes: #900606)

  [ Guus Sliepen ]
  * [48ef0ec] changelog: try iso8859-1 when utf-8 fails.
    Fall back to iso8859-1 when opening the changelog. Helps when importing
    old versions. (Closes: #900841)

  [ Carsten Schoenert ]
  * [50b9223] create_remote_repo: import urllib.parse
    urllib.parse did not get imported in packaegs without changelog.

  [ Iain Lane ]
  * [5fedb2b] Ignore merge commits when looking at the pristine-tar branch.
    (Closes: #906331)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 19 Aug 2018 08:29:47 +0200

## git-buildpackage 0.9.12

=== debian/changelog ===
git-buildpackage (0.9.12) unstable; urgency=medium

  * [aa7ca25] import_ref: Fix warning output. Otherwise import-ref
    won't load correctly.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 11 Dec 2018 18:23:09 +0100

git-buildpackage (0.9.11) unstable; urgency=medium

  [ Guido Günther ]
  * [7ce98d6] import-ref: New experimental command to merge in changes from a
    upstream using git.
  * [2320ac3] Add test case for conversion of extra DEP-3 headers to
    pseudo-headers.  Currently the extra DEP-3 headers may end up as trailers
    instead of should be pseudo-headers.
  * [1e31e67] pq: Fix testcase.  Pseudo headers are now moved to the top of
    the patch.
  * [2f6a432] travisci: Test Python 3.7 as well.
    Use the workaround from
        https://github.com/travis-ci/travis-ci/issues/9815
    since Python 3.7 is not yet supported by the default image.
  * [497addc] Ignore flake8's 'W504 line break after binary operator'
    With flake8's other warnings this doesn't make much sense since
    indentation according to https://hg.python.org/peps/rev/3857909d7956
    does not work. It triggers
    - 'W503 line break before binary operator'
    - 'E129 visually indented line with same indent as next logical line'
    If one want to align the operators one hits
    - 'E127 continuation line over-indented for visual indent'
    So let's leave things as is for the moment.
  * [6b13422] Fix flake8's W605 (invalid escape sequence)
    See also
        https://docs.python.org/3/whatsnew/3.6.html#deprecated-python-behavior
  * [caa586a] builpackage-rpm: Use GBP_TMP_DIR instead of GBP_BUILD_DIR.
    This is consistent with --git-post-export and unbreaks
        tests/component/rpm/test_buildpackage_rpm.py:TestGbpRpm.test_hook_options
  * [1994bb2] PatchSeries: Only pass patch description and header to
    git-mailinfo. There are patches around that use
      Content-Transfer-Encoding: base64
    but the actual patch after '---' is unencoded ascii resulting in garbage
    after the patch description when imported into a patch queue.
    Since we're discarding the patch part of git-mailinfo anyway don't pass
    this on in the first place. (Closes: #912426)
  * [a55d19f] PristineTar: detect signature verification support
  * [dacca59] PristineTar: support checking in/out upstream signatures
  * [ad904b8] PristienTar: Properly detect signature feature
  * [0277c54] PristineTar: Don't fail if pristine-tar doesn't support
    signatures
  * [4a8908c] Make it simple to print exception details
  * [f932338] import-orig: rename sourcepackage to name
    since it's the source package's name

  [ Mathieu Parent ]
  * [03accd2] import-orig: Allow one to import the requested version with
    --uscan (Closes: #741148)

  [ Ben Hutchings ]
  * [771114b] Add test case for bug #905934
  * [0304fd3] pq import: Look for DEP-3 header fields even if git mailimport
    succeeds (Closes: #905934)
  * [47cf4c6] pq import: Always put DEP-3 headers as pseudo-headers.  If there
    are any non-git DEP-3 header fields, put them at the top of the body text,
    regardless of whether Description or Subject is used.  Also put a blank
    line between them and the rest of the message body.
  
  [ Markus Lehtonen ]
  * [8428343] gbp.git: fix doctest with recent python-dateutil.
    Traceback format has changed in recent python-dateutil.
  * [a656995] tests: small fix for import-orig-rpm component test.
    Merge behaviour in newer git versions (> v2.16) is slightly different.

  [ Andreas Beckmann ]
  * [12574cc] debian.source: Enumerate components only once
  * [a596206] PkgPolicy.symlink_orig: also remove dangling symlinks

  [ Luca Boccassi ]
  * [ce6b1e7] buildpackage{,-rpm}: add preexport hook.
    Sometimes it is necessary to perform operations before preparing the
    tarballs and exporting to the build directory.
    One such case is when having to handle extremely large binary assets in
    the orig tarball and at the same time complex packaging code, which makes
    it desirable to separate the two into different repositories for easier
    handling.
    A pre-export hook allows one to ensure that the tarball repository is
    present and checked out at the correct branch. (Closes: #909266)
  * [44acc6d] Refresh tests data submodule
  * [e5aedb1] buildpackage, export-orig: support version substitution for
    --git-tarball-dir.
    Add support for passing %(version), %(hversion) and %(version%A%B) in
    buildpackage --git-tarball-dir and export-orig --tarball-dir.
    (Closes: #909266)

  [ Kiss György ]
  * [7bba657] setup.py: Fix version parsing when installing from pip.

  [ Arnaud Rebillout ]
  * [f0cb11d] docs: update references from <http://dep.debian.net> to
    <https://dep-team.pages.debian.net>.

  [ Chris Lamb ]
  * [9dc9f5e] Fix "was build" typos (Closes: #916044)

  [ Ken Dreyer ]
  * [f6096ed] gbp.deb: Correct "otherwise" spelling in comment

 -- Guido Günther <agx@sigxcpu.org>  Tue, 11 Dec 2018 10:39:43 +0100

## git-buildpackage 0.9.13

=== debian/changelog ===
git-buildpackage (0.9.13) unstable; urgency=medium

  [ Guido Günther ]
  * [55edef2] PatchSeries: Don't fail if there's only a patch end marker.
    If the patch only has '---' we pass empty data to git-mail-info
    otherwise.
    Thanks to James Cowgill for the detailed report (Closes: #916545)
  * [861121e] push: Push Debian branch first.
    This makes sure in new repos this is the correct default branch.
    (Closes: #916651)
  * [81bfe17] rpm_ch: Escape \S in regex replacement.

  [ Chris Lamb ]
  * [b58311f] Fix typo (Closes: #914280)

  [ Simon McVittie ]
  * [cb4c916] zsh completion: Fix typo in redirection to _gbp-import-dsc
    (Closes: #917636)
  * [cd4c4d2] gbp-pull: Invoke gbp pq correctly for --redo-pq option
    `gbp pull --redo-pq` assumed that `gbp-pq` exists in PATH, which isn't
    normally true since 0.6.24 (2015). (Closes: #917637)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 29 Dec 2018 18:49:21 +0100

## git-buildpackage 0.9.14

=== Makefile ===
PY_EXAMPLES=$(shell grep -l /usr/bin/python examples/*)
FLAKE_OPTS=$(shell test -w /dev/shm || echo '-j1')
NOSE_OPTS=--with-xcoverage
TEST_LOCALE?=C.UTF-8

all: syntax-check test

all+net:
	$(MAKE) GBP_NETWORK_TESTS=1 all

test:
	export GIT_AUTHOR_NAME="Gbp Tests";		\
	export GIT_AUTHOR_EMAIL=tests@example.com;	\
	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\
	export GIT_COMMITTER_EMAIL=$$GIT_AUTHOR_EMAIL;	\
	PYTHONPATH=.					\
	LC_ALL=$(TEST_LOCALE) python3 setup.py nosetests $(NOSE_OPTS)

syntax-check:
	flake8 $(FLAKE_OPTS)
	flake8 $(FLAKE_OPTS) $(PY_EXAMPLES)

docs:
	$(MAKE) -C docs
	$(MAKE) apidocs

apidocs:
	mkdir -p build
	pydoctor -v --config=.pydoctor.cfg

.PHONY: docs

=== debian/changelog ===
git-buildpackage (0.9.14) unstable; urgency=medium

  [ Michael Prokop ]
  * [4142928] docs: update examples for pristine-tar usage, requiring commit
    action
    (Closes: #919677)

  [ Roberto C. Sánchez ]
  * [d3f67c8] docs: Fix typo

  [ Gabriel Filion ]
  * [34b9da1] Disable PGP signatures when retrieving list of commits
    (Closes: #923087)

  [ Guido Günther ]
  * [3e3458f] setup.py: Move version parser into setup.py.
    This makes sure it ends up in the sdist tarball.

  [ Simon McVittie ]
  * [74669f0] Dep3Patch: Ignore MIME headers.
    Otherwise, if we import a patch containing non-ASCII characters exported
    by `gbp pq export` or `git format-patch` using DEP-3 syntax, we'd
    misinterpret these fields as semantically significant and copy them into
    pseudo-headers, causing them to be duplicated in the commit's long
    description. (Closes: #924478)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 21 Mar 2019 10:33:34 +0100

=== debian/control ===
--- 
+++ 
@@ -50,6 +50,7 @@
  man-db,
  python3-dateutil,
  python3-pkg-resources,
+ sensible-utils,
 Recommends: pristine-tar (>= 0.5),
  cowbuilder | pbuilder | sbuild,
  python3-requests

=== debian/tests/control ===
Tests: smoke-rpm
Depends: @,
 python-rpm
Restrictions: allow-stderr

## git-buildpackage 0.9.14.lnd.1+nmu1

=== debian/changelog ===
git-buildpackage (0.9.14.lnd.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:48:50 +0800

git-buildpackage (0.9.14.lnd.1) unstable; urgency=medium

  * add loongarch command buffer size .
  * 

 -- zhangjialing <zhangjialing@loongson.cn>  Mon, 07 Jun 2021 19:53:47 +0800

## git-buildpackage 0.9.15

=== debian/changelog ===
git-buildpackage (0.9.15) unstable; urgency=medium

  [ Guido Günther ]
  * [b12b85a] import-orig: Allow to run a post unpack hook.
    The working directory of the hook is the top temporary directory the
    tarballs are being unpacked into.
  * [6696656] docs: Document gbp import-orig --postunpack
  * [292edcf] import_orig: Move upstream-vcs-tag's help to config.
    This way it can be shared.
  * [61757c0] import_dsc: Support upstream-vcs-tag (Closes: #782886)
  * [1acd0bb] docs: import-dsc: Document --upstream-vcs-tag
  * [b888349] gbp-clone: Support salsa: pseudo urls
  * Fix flake8 errors (Closes: #939648)

  [ Hideki Yamane ]
  * [d1960b3] gbp.conf: Set default compresson to xz.
    The value is commented out so does not have any effect but it's
    better to recommend the right value.

  [ Maximiliano Curia ]
  * [8afb7ee] import-orig/merge_replace Avoid calling force_head.
    The debian_merge_by_replace function ends up calling force_head, but up to
    this point the current branch could be anything, and thus when called from
    a feature branch the latest commits get lost.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 07 Sep 2019 10:58:51 -0700

## git-buildpackage 0.9.16

=== debian/changelog ===
git-buildpackage (0.9.16) unstable; urgency=medium

  * [fef81e2] pq: Don't bubble up FileNotFoundException (Closes: #940043)
  * [fb26fd9] docs: Fix wrong argument order of branch rename.
    Thanks to Jens Reyer (Closes: #941110)
  * [11f9f31] export-orig: Check 'origin/pristine-tar' as well for compression
    type (Closes: #941894)
  * [916f538] docs: Fix typos.
    Thanks to lintian
  * [6cf1f7e] d/control: Bump standards version
    no changes needed

 -- Guido Günther <agx@sigxcpu.org>  Tue, 22 Oct 2019 17:36:46 +0200

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
 # For the network tests
  curl <!nocheck>,
  python3-requests <!nocheck>,
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Vcs-Git: https://git.sigxcpu.org/cgit/git-buildpackage/
 Vcs-Browser: https://git.sigxcpu.org/cgit/git-buildpackage/
 Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/

## git-buildpackage 0.9.17

=== debian/changelog ===
git-buildpackage (0.9.17) unstable; urgency=medium

  * [6248524] export_orig: Don't fail without a repository.
    This is a valid use case in overlay mode
    Thanks to Thomas Koch for the report
  * [ff9ff7e] Use UpstreamSource for additional tarballs as well.
    This will help on upstream tarball signatures as well as
    improving additional tarball handling.
  * [16781c8] import-orig: Handle tarball signature when using pristine-tar
  * [4a97a1c] import-dsc: Import signature if present in dsc
  * [e541f35] Recommend and build depend on pristine-tar 1.41
    since only this version has signature support.
  * [12ed9fb] travis-ci: Switch to bionic.
    Need to drop python 3.4 for that since it's not available on bionic.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 31 Oct 2019 19:15:14 +0100

## git-buildpackage 0.9.17ubuntu2

=== debian/changelog ===
git-buildpackage (0.9.17ubuntu2) focal; urgency=medium

  * Add xsltproc and gtk-doc-tools to the autopkg test dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jan 2020 09:29:47 +0100

=== debian/tests/control ===
Tests: smoke-rpm
Depends: @,
 python-rpm, xsltproc, gtk-doc-tools
Restrictions: allow-stderr

## git-buildpackage 0.9.17ubuntu3

=== debian/changelog ===
git-buildpackage (0.9.17ubuntu3) focal; urgency=medium

  * Add build dependencies to the autopkg test dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Jan 2020 05:08:08 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  cpio <!nocheck>,
  devscripts (>= 2.17.7~) <!nocheck>,
  git (>= 1:1.7.9.1-1~) <!nocheck>,
- pristine-tar <!nocheck>,
+ pristine-tar (>= 1.14) <!nocheck>,
  rpm <!nocheck>,
  unzip <!nocheck>,
  zipmerge <!nocheck>,
@@ -51,7 +51,7 @@
  python3-dateutil,
  python3-pkg-resources,
  sensible-utils,
-Recommends: pristine-tar (>= 0.5),
+Recommends: pristine-tar (>= 1.41),
  cowbuilder | pbuilder | sbuild,
  python3-requests
 Suggests: python3-notify2, unzip, sudo

=== debian/tests/control ===
Tests: smoke-rpm
Depends: @,
 python-rpm, @builddeps@
Restrictions: allow-stderr

## git-buildpackage 0.9.19

=== debian/changelog ===
git-buildpackage (0.9.19) unstable; urgency=medium

  * [30cfa76] d/tests/control: Drop python-rpm. We'd need
    python3-rpm for the build test but that is not run atm.
  * [2159ac3] Build-Depend on pydoctor since this uses python3
    Thanks to Boyuan Yang for the hints (Closes: #943107)
  * [96526f2] Add salsa-ci

 -- Guido Günther <agx@sigxcpu.org>  Fri, 28 Feb 2020 09:48:05 +0100

git-buildpackage (0.9.18) unstable; urgency=medium

  [ Guido Günther ]
  * [abe1ec7] import-orig: Recommend python3-requests.  The python2 version
    won't do
  * [bddd221] dch: Always print where we pick up
  * [f8883eb] config: Be less picky about comments after boolean values.
    This makes 'patch-numbers = False # comment' work.
    Thanks to Mechtilde Stehmann for the report

  [ Christian Göttsche ]
  * [2f1c157] add option to export tarballs with upstream signature.
    Add option `--upstream-signatures=[on|auto|off]` to export-orig.
    Add option `--git-upstream-signatures=[on|auto|off]` to buildpackage.
    (Closes: 872864)

  [ Matthias Klose ]
  * [b80027c] d/tests/control: Add xsltproc to the autopkg test dependencies
    (Closes: #950216)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 17 Feb 2020 15:12:12 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  gtk-doc-tools,
  libdistro-info-perl,
  perl,
- python-pydoctor,
+ pydoctor,
  python3 (>= 3.5),
  python3-coverage,
  python3-dateutil,

=== rules ===
--- 
+++ 
@@ -2,9 +2,15 @@
 # See debian/rules-dh if you prefer the new dh syntax.
 package = hello-debhelper
 
+CFLAGS = -g -Wall
+
+ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+  CFLAGS += -O2
+endif
+
 clean:
 	rm -f build
-	[ ! -f Makefile ] || $(MAKE) distclean
+	dh_auto_clean
 	dh_clean
 
 install: build
@@ -13,7 +19,7 @@
 
 build:
 	dh_auto_configure
-	dh_auto_build
+	dh_auto_build -- CFLAGS="$(CFLAGS)"
 	touch build
 
 binary-indep: install
@@ -36,8 +42,4 @@
 
 binary: binary-indep binary-arch
 
-build-arch: build
-
-build-indep: build
-
-.PHONY: binary binary-arch binary-indep build-arch build-indep clean
+.PHONY: binary binary-arch binary-indep clean

=== debian/tests/control ===
Tests: smoke-rpm
Depends: @, xsltproc
Restrictions: allow-stderr

## git-buildpackage 0.9.20

=== debian/changelog ===
git-buildpackage (0.9.20) unstable; urgency=medium

  * [e513375] doctest: Ignore exception detail.
    We used the tests to check whether the right exception was returned but
    python 3.8 breaks this again.  Doctest were a nice feature but keeping up
    with the subtle breackage is too cumbersome.
  * [3b05fa8] deb: git: Escape '.' on pristine-tar matches
    '.' is valid in source package names and version numbers so we
    want to match exactly that and not an arbitrary character.
  * [74b3799] pristine-tar: Escape '+' in match regexp.
    When looking for matching file name we need to exscape the valid '+' but
    need to do it late since it must not be escaped for git-grep.
    (Closes: #956103)
  * [a3d9c98] docs: import-ref: Fix wrong --upstream-tree default
    (Closes: #962916)
  * [f68858e] import-orig: Print all found sources with `verbose`
  * [111aa86] get_component_tarballs: Check for signature too
    (Closes: #96396)
  * [4f2569d] git: Drop another doctest that matched exception
    type.
  * [305a4ad] import_orig: Drop all upstream signatures with
    --upstream-signatures=off.  This makes sure we don't use spurious files as
    signatures
  * [0bc42b4] Make flake8 E741 happy
    (Closes: #964040)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Jul 2020 14:47:44 +0200

## git-buildpackage 0.9.21

=== docs/Makefile ===
#!/usr/bin/make

MAN1S = \
        gbp               \
        gbp-buildpackage  \
        gbp-buildpackage-rpm \
        gbp-clone         \
        gbp-config        \
        gbp-create-remote-repo \
        gbp-dch           \
        gbp-import-dsc    \
        gbp-import-dscs   \
        gbp-import-orig   \
        gbp-import-orig-rpm \
        gbp-import-srpm   \
        gbp-pq            \
        gbp-pq-rpm        \
        gbp-pull          \
        gbp-rpm-ch        \
        $(NULL)

MAN5S = gbp.conf

MANUAL=manual-html
SGML_MANPAGES=$(patsubst %,%.1,$(MAN1S)) $(patsubst %,%.5,$(MAN5S))
POD_MANPAGES=git-pbuilder.1
MANPAGES=$(SGML_MANPAGES) $(POD_MANPAGES)
VERSION_ENT=version.ent
GBP_VERSION=../gbp/version.py
DEB_VERSION=$(shell sed -ne 's/^gbp_version="\([.a-z0-9~-]\+\)"/\1/p' $(GBP_VERSION))
CHANGELOG=../debian/changelog

# Stuff to build docs outside Debian
HAVE_SGML2X ?= 1
GTK_DOC_CATALOG_FILE ?= /usr/share/sgml/gtk-doc/gtk-doc.cat

all: $(MANUAL) $(MANPAGES)

$(MANUAL): main.sgml manual.sgml manual-rpm.sgml chapters/*.sgml manpages/*.sgml
ifeq ($(HAVE_SGML2X),1)
	docbook-2-html -s local $<
	rm -rf $(MANUAL)
	mv main-html $(MANUAL)
else
	docbook2html -d local-nosgml2x.dsl -c $(GTK_DOC_CATALOG_FILE) -o $(MANUAL) $<
endif
	cp /usr/share/gtk-doc/data/*.png $(MANUAL)

# We build manpages under 'buildxref/' just to get an updated cross-reference
# file (manpage.refs), before building the final manpages
BUILD_MAN_XREF_PAGES=$(patsubst %,buildxref/%,$(SGML_MANPAGES))

buildxref/%.1 buildxref/%.5: man.%.sgml manpages/%.sgml
	docbook2man -o buildxref $<

manpage.refs: $(BUILD_MAN_XREF_PAGES)
	cp buildxref/$@ $@

%.1 %.5: manpage.refs
	docbook2man -o . man.$*.sgml

git-pbuilder.1: ../bin/git-pbuilder
	pod2man $< $@

main.sgml: $(VERSION_ENT)

$(VERSION_ENT): $(GBP_VERSION)
	echo '<!ENTITY gbp-version "$(DEB_VERSION)">' > $(VERSION_ENT)

clean:
	-rm -r manual-html/
	-rm *.1 *.5 manpage.* $(VERSION_ENT)
	-rm -r buildxref

=== debian/changelog ===
git-buildpackage (0.9.21) unstable; urgency=medium

  [ Guido Günther ]
  * [bd15730] docs: Drop --git- from dch invocation.
    Thanks Pierre Equoy
  * [7179893] docs: Clarify that only tarball creation is affected.
    Thanks to Pierre Equoy
  * [1d922d7] policy: Fix typos.
    Thanks to Andrius Merkys (Closes: #966130)
  * [16b8817] spec: Include the correct file
    export_ref.py does not exist.
  * [fd35de0] spec: Don't fail on empty cache dir
  * [df9bae2] autopkgtest: Pass RPM macros on command line.
    This avoids the need to modify files in the home directory.
  * [53501b5] smoketest: Avoid writing to ..
    Use a temporary directory to avoid 'allow-root'.
  * [4e5fc40] autopkgtests: Depend on @builddep@
    Otherwise gbp is not able to build itself.
    Thanks to Lukas Märdian for the detailed report
    (Closes: #968982)
  * [504dda3] test_import_orig: Fix typo
  * [c09d629] test_import_orig: Drop unused variable.
    This makes flake8 happy
  * [73492e1] salsa-ci: Skip reprotest.
    It triggers a test failure since a test can write to a
    destination it should not be able to write too.
  * [c02938f] docs: Add example for exporting the source tree.
    See #969952
  * [657b005] buildpackage: Fix tests and test arch override
  * [cc5e85b] import-ref: Fix help.
    We want an upstream version, not  path
  * [680e9ec] gitlab-ci: Use a more recent Ubuntu LTS
  * [e085ab9] tests: Fixup changelog test on Ubuntu.
    The keys in os-release differ from lsb-release

  [ Marco Trevisan (Treviño) ]
  * [9fc3f1b] import-orig: expose unpacked sources dir to the postunpack hook.
    Use an $GBP_SOURCES_DIR to expose the post-unpack sources dir to the hook.
    Include a test that checks that all the expected env variables are set.
  * [297c5ff] import-orig: Allow the post-unpack hook to filter tarball files.
    With post-unpack scripts is currently possible to filter out files that
    are not needed from the upstream branch, however it is not possible to use it
    to filter files that will end up in the orig file, and in some scenarios
    this is not easily doable just using a filter list.
    So, run the post-unpack hook just after unpacking and before repacking the
    tar. (Closes: #812721)

  [ Richard Laager ]
  * [0f8f550] import-orig: Fix a comment typo
  * [707ebdf] import-orig: Refactor vcs_tag_parent.
    This eliminates an indentation level.
  * [064834b] import-orig: Refactor vcs_tag_parent.
    This makes the "tag" variable just the tag.  This improves the
    human-readability of the error message if the tag cannot be found.

  [ Heiko Schlittermann ]
  * [d9e4734] buildpackage: Honor --git-arch for GBP_CHANGES_FILE
    (Closes: #941345)

  [ Chris Lamb ]
  * [8734ed3] docs: Correct "option" typo in gbp-buildpackage manpage
    (Closes: #972081)

  [ nicoo ]
  * [a2a3085] tests/11_test_dch_main.py: Don't expect /etc/lsb-release on
    Debian
  * [0916529] doctests/test_Changelog: Don't expect /etc/lsb-release
    (Closes: #976914)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 07 Jan 2021 11:28:00 +0100
